This is Pigment 0.3.17, "Black Mesa" (May 20, 2009)
===================================================

Changes since 0.3.16:

      * Improved overall performance and memory usage.
      * Added support to cast shadows under texts.
      * Added support to align drawables to pixel boundaries.
      * Added support to retrieve the maximum texture size at runtime.
      * Highly improved the OpenGL ES 1.1 plugin.
      * Fixed GCC 4.4 and Sun Studio compilation warnings.

Tickets fixed since 0.3.16:

      * 122 : BadMatch (invalid parameter attributes) on start of any pigment...
      * 134 : glXUseXFont generates sometimes a BadFont error
      * 151 : Crash at exit when OpenGL Viewport not disposed
      * 192 : pgm crash when updating quickly an image with cairo data, and w...
      * 193 : PNG exported from Inkscape are not loadable
      * 282 : Segfault at viewport creation
      * 296 : pigment-0.3.pc should depend on gdk-pixbuf-2.0
      * 304 : CRASH libglib-2.0.dll!g_slist_foreach
      * 305 : CRASH libgobject-2.0.dll!g_type_check_instance_is_a
      * 308 : pigment crashes when freeing data
      * 310 : Regression tests failing on FreeBSD
      * 311 : Text shadow support
      * 312 : [Win32] Maximization problem
      * 314 : Support to get the maximum texture size of the plugin
      * 315 : Add rasterization grid alignment facilities
      * 317 : Memory leak in PgmGlDrawable
      * 318 : Memory leak in PgmImageSink
      * 319 : warnings in pigment
      * 320 : Deadlock at initialization on Windows 64 bits
      * 321 : error when building svn 1456 with gcc-4.4.0

API added since 0.3.16:

      * pgm_text_get_color() function
      * pgm_text_set_color() function
      * pgm_text_get_cast_shadow() function
      * pgm_text_set_cast_shadow() function
      * pgm_text_get_shadow_position() function
      * pgm_text_set_shadow_position() function
      * pgm_text_get_shadow_color() function
      * pgm_text_set_shadow_color() function
      * pgm_viewport_get_max_texture_size() function
      * pgm_canvas_get_pixel_offsets() function
      * pgm_drawable_get_grid_aligned() function
      * pgm_drawable_set_grid_aligned() function
      * PgmTextShadowPosition enum
      * PgmDrawableProperty::PGM_TEXT_COLOR enum field
      * PgmDrawableProperty::PGM_TEXT_CAST_SHADOW enum field
      * PgmDrawableProperty::PGM_TEXT_SHADOW_POSITION enum field
      * PgmDrawableProperty::PGM_TEXT_SHADOW_COLOR enum field
      * PgmCanvas::pixel_offset_x struct field
      * PgmCanvas::pixel_offset_y struct field
      * PgmDrawable::orig_x struct field
      * PgmDrawable::orig_y struct field
      * PgmDrawable::orig_width struct field
      * PgmDrawable::orig_height struct field
      * PgmDrawable::grid_aligned struct field


This is Pigment 0.3.16, "Leviathan" (April 6, 2009)
===================================================

Changes since 0.3.15:

      * Added multiline and monoline text modes.
      * Changed the meaning of the text font height so that it's now expressed
        in canvas coordinates.
      * Fixed a deadlock at viewport disposition.

Tickets fixed since 0.3.15:

      * 309 : Deadlock with GLib 2.20 at exit

API changed since 0.3.15:

      * pgm_text_get_multiline() function
      * pgm_text_set_multiline() function
      * PgmText::multiline struct field


This is Pigment 0.3.15, "Storm" (March 12, 2009)
================================================

Changes since 0.3.14:

      * OpenGL ES 1.1 plugin support for GDL.
      * Minor bug fixes.

Tickets fixed since 0.3.14:

      * #302 : the pkg-config definitions miss some things.
      * #303 : TypeError raised when using win32-message-event signal in Pytho...
      * #307 : Race condition in image loading

API changed since 0.3.14:

      * PgmViewport::win32-message-event signal


This is Pigment 0.3.14, "Jazz Brakes" (February 6, 2009)
========================================================

Changes since 0.3.13:

      * Added support to apply a scaling factor to drawables.
      * Added support to return a value to the WindowProc for Win32 messages.

Tickets fixed since 0.3.13:

      * #294 : Crash when a PgmText has its size (width or height) set to 0
      * #295 : Support for drawable scaling
      * #298 : "win32-message" signal doesn't handle WinProc LRESULT return va...
      * #299 : Support for Win32 multimedia keys
      * #300 : Monitor goes into standby

API added since 0.3.13:

      * pgm_drawable_get_scale() function
      * pgm_drawable_set_scale() function

API changed since 0.3.13:

      * PgmViewport::win32-message-event signal


This is Pigment 0.3.13, "Herbs" (December 9, 2008)
==================================================

Changes since 0.3.12:

      * Added support for drag-and-drop on Windows in the OpenGL plugin.
      * Fixed potential crash in the picking process.

Tickets fixed since 0.3.12:

      * #289 : [Win32] Drag and drop support
      * #290 : Crash removing drawable from canvas in picking signals


This is Pigment 0.3.12, "Armistice" (November 11, 2008)
=======================================================

Changes since 0.3.11:

      * Improved rendering of text objects.

Tickets fixed since 0.3.11:

      * #283 : pgm_canvas_get_order() does not return an error if used with a ...
      * #285 : Objects are displayed as a horizontal line (or smaller than the...
      * #287 : Texts not aligned to pixel boundaries


This is Pigment 0.3.11, "Fallacy Method" (October 6, 2008)
==========================================================

Changes since 0.3.10:

      * Added support to prevent rendering when the window is fully obscured or
        iconified.
      * Fixed compilation warnings generated by GCC 4.3.

Tickets fixed since 0.3.10:

      * #279 : Pigment fails to compile with gcc 4.3
      * #281 : Full CPU usage when the window is iconified


This is Pigment 0.3.10, "Commando" (September 29, 2008)
=======================================================

Changes since 0.3.9:

      * Improved video playback performance for Intel 945GM chipsets on windows.

Tickets fixed since 0.3.9:

      * #280 : Slow video playback on Windows with Intel 945GM

API added since 0.3.9:

      * PgmImageWrapping::PGM_IMAGE_TRANSPARENT enum field


This is Pigment 0.3.9, "Prototry" (September 16, 2008)
======================================================

Changes since 0.3.8:

      * Added support to iconify and give focus to viewports.
      * Added support to track state changes on viewports.
      * Added fixes to the autotools build files.

Tickets fixed since 0.3.8:

      * #277 : syntax error at configuring in Bash
      * #278 : Typo in configure.ac HAVE_IMAGING_LIBRARY=="no"

API added since 0.3.8:

      * pgm_viewport_get_iconified() function
      * pgm_viewport_set_iconified() function
      * pgm_viewport_focus() function
      * PgmViewport::state-event signal
      * PgmEventType::PGM_STATE enum field
      * PgmViewportState enum
      * PgmEventState struct

API removed since 0.3.8:

      * Removed PgmViewportClass::get_fullscreen virtual method.


This is Pigment 0.3.8, "Large Hadron Collider" (September 10, 2008)
===================================================================

Changes since 0.3.7:

      * Reduced memory comsumption of programs loading images from files.
      * Added a library dedicated to software image processing.
      * Deferred image loadings to dedicated thread(s).
      * Added support for infinite image scrolling effects.
      * Added support to anti-alias edges of images.

Tickets fixed since 0.3.7:

      * #175 : Image decoding has to be done in dedicated thread(s)
      * #269 : Pigment build fails with internal linking problems when built w...
      * #271 : clicked signal emitted at the end of dragging
      * #273 : Add a drag distance threshold to cover before emitting 'drag-be...
      * #274 : Add cloning information signals to PgmImage
      * #275 : Pixbuf allocation must be freed after upload to video memory
      * #276 : Add a repeat image wrapping mode

API added since 0.3.7:

      * pgm_imaging_linear_alpha_gradient() function
      * pgm_drawable_get_drag_distance() function
      * pgm_drawable_set_drag_distance() function
      * pgm_image_set_from_pixbuf() function
      * pgm_image_new_from_pixbuf() function
      * pgm_image_to_pixbuf() function
      * pgm_image_get_wrapping() function
      * pgm_image_set_wrapping() function
      * PgmImage::file-loaded signal
      * PgmImage::cloned signal
      * PgmImage::un-cloned signal
      * PgmImageStorageType::PGM_IMAGE_FILE enum field
      * PgmDrawableProperty::PGM_IMAGE_DATA_FILE struct field
      * PgmDrawableProperty::PGM_IMAGE_WRAPPING struct field
      * PgmImageWrapping enum
      * PgmImageFile struct

API changed since 0.3.7:

      * Removed PgmImage::pixbuf-loaded signal


This is Pigment 0.3.7, "Elecman" (July 28, 2008)
================================================

Changes since 0.3.6:

      * Added support to get Windows messages from the main loop.
      * Fixed unit test failing on 64 bits systems.

Tickets fixed since 0.3.6:

      * #267 : Failure in make check's PgmImage suite
      * #270 : Documentation for "released" signal in Drawable posibly wrong

API added since 0.3.6:

      * pgm_viewport_set_message_filter() function
      * pgm_viewport_get_message_filter() function
      * PgmViewport::win32-message-event signal
      * PgmEventType::PGM_WIN32_MESSAGE enum field
      * PgmEventWin32Message struct


This is Pigment 0.3.6, "Niko Bellic" (July 11, 2008)
====================================================

Changes since 0.3.5:

      * Added an OpenGL ES-CM 1.1 plugin.
      * Added support for the GLX texture-from-pixmap extension.
      * Added support to rotate drawables.
      * Highly improved Windows support.
      * Added support to rotate and reflect a canvas.
      * Added support for pressure events coming from touchscreens.
      * Added motion, entered and left signals to drawables.
      * Added support for mouse navigation events in the GStreamer image sink
        to handle DVD menu elements for instance.
      * Added support to transform positions from/to viewport, canvas or image
        coordinate spaces.

Tickets fixed since 0.3.5:

      * #8   : Spline interpolation
      * #63  : Hardware video overlay
      * #144 : Segfault while trying to open video
      * #145 : we can't use in pipeline drawable not added to a canvas
      * #178 : Enter/leave drawable signals
      * #208 : implicit animation leaks
      * #210 : examples on gutsy: `PGM_IS_VIEWPORT (viewport)' failed
      * #223 : Drawables "released" signal prototype inconsistency
      * #224 : [repository] The common/ external should be dropped
      * #235 : pigment locks when windows is out of screen
      * #239 : Bad error handling: exit(1) in main loop due to glXChooseFBConf...
      * #244 : support for GLX_EXT_texture_from_pixmap in OpenGL on X11
      * #245 : Rotation and reflection of the canvas
      * #248 : C++ reserved keywords used as structure fields
      * #251 : Rotation support
      * #253 : User defined hook in the render thread prior to each rendering
      * #254 : Process deadlocks at closing on Windows
      * #255 : Motion, entered and left signals for drawables
      * #256 : Rotation of drawables are not handled for picking
      * #257 : Conversion fuctions between canvas, drawable and image spaces
      * #258 : PgmImageSink should send GstEvents on the pipeline for mouse mo...
      * #260 : [win32] the window is shown at creation
      * #262 : Mouse related signals are emitted even if opacity is 0
      * #263 : [win32] no possibility to get the win32 windows handle from a p...
      * #264 : [win32] Fullscreen crashes with Intel chipsets/drivers

API added since 0.3.5:

      * PgmViewportCapacity::PGM_VIEWPORT_TOUCHPAD enum field
      * PgmEventType::PGM_BUTTON_PRESSURE enum field
      * PgmEventMotion::pressure struct field
      * PgmEventButton::pressure struct field
      * PgmViewport::button-pressure-event signal
      * PgmDrawable::pressured signal
      * pgm_image_set_from_system_buffer() function
      * pgm_image_system_buffer_lock() function
      * pgm_image_system_buffer_unlock() function
      * PgmImageSystemBuffer struct
      * PgmImageStorageType::PGM_IMAGE_SYSTEM_BUFFER struct field
      * PgmDrawableProperty::PGM_IMAGE_DATA_SYSTEM_BUFFER struct field
      * PgmDrawableProperty::PGM_IMAGE_SYSTEM_BUFFER_CONTENT struct field
      * PgmViewportCapacity::PGM_VIEWPORT_X11_SYSTEM_BUFFER struct field
      * PgmViewportReflection struct
      * PgmViewportRotation struct
      * pgm_viewport_set_canvas_rotation() function
      * pgm_viewport_get_canvas_rotation() function
      * pgm_viewport_set_canvas_reflection() function
      * pgm_viewport_get_canvas_reflection() function
      * pgm_drawable_set_rotation_x() function
      * pgm_drawable_get_rotation_x() function
      * pgm_drawable_set_rotation_y() function
      * pgm_drawable_get_rotation_y() function
      * pgm_drawable_set_rotation_z() function
      * pgm_drawable_get_rotation_z() function
      * pgm_viewport_emit_update_pass() function
      * PgmViewport::update-pass signal
      * pgm_drawable_from_canvas() function
      * pgm_drawable_to_canvas() function
      * pgm_image_from_drawable() function
      * pgm_image_to_drawable() function
      * PgmImageSinkEventMask struct
      * PgmImageSink::events property
      * pgm_image_sink_set_events() function
      * pgm_image_sink_get_events() function

API changed since 0.3.5:

      * PgmDrawable::pressed signal prototype
      * PgmDrawable::clicked signal prototype
      * PgmDrawable::drag-begin signal prototype
      * PgmDrawable::drag-motion signal prototype
      * PgmDrawable::released signal prototype
      * PgmViewport::delete-event signal prototype
      * Removed PgmEventDelete struct


This is Pigment 0.3.5, "Jerakeen" (March 3, 2008)
=================================================

Changes since 0.3.4:

      * Highly improved rendering performance of the OpenGL plugin.
      * Added support for drag and drop on the viewport.
      * Added support for Freedesktop startup notification in the OpenGL plugin.
      * Added support for changing the viewport opacity.
      * Fixed the Xlib/XCB dead lock.
      * Fixed focus traversal with the GTK+ widget.
      * Made the text font height proportional to the height of the drawable.

Tickets fixed since 0.3.4:

      * #111 : Fancy fonts rendering with Mesa
      * #194 : XEmbed focus traversal problems
      * #214 : Viewport drag and drop support
      * #170 : Implement the freedesktop's startup notification specification
      * #176 : Crash with ATI radeon with no direct rendering
      * #204 : text font height resize support in Group
      * #215 : Support viewport clear color through the ARGB visuals
      * #228 : Update idle source output clutters the console output

API added since 0.3.4:

      * pgm_viewport_get_opacity()
      * pgm_viewport_set_opacity()
      * pgm_viewport_get_frame_rate()
      * pgm_viewport_get_alpha_blending()
      * pgm_viewport_set_alpha_blending()
      * PgmViewportCapacity::PGM_VIEWPORT_OPACITY
      * PgmViewport::drag-motion-event signal
      * PgmViewport::drag-drop-event signal
      * PgmViewport::drag-leave-event signal
      * PgmViewport::set_drag_status virtual function
      * PgmEventType::PGM_DRAG_MOTION field
      * PgmEventType::PGM_DRAG_DROP field
      * PgmEventType::PGM_DRAG_LEAVE field
      * PgmEventDnd structure

API changed since 0.3.4:

      * Removed PGM_VIEWPORT_HAS_CAPS() macro


This is Pigment 0.3.4, "Ravenclaw" (January 23, 2008)
=====================================================

Changes since 0.3.3:

      * Plugins can now only be loaded by the Pigment version it is compiled for.
      * Modified default plugin path including version number.
      * Added support for removing window decorations.

API added since 0.3.3:

      * pgm_viewport_get_decorated
      * pgm_viewport_set_decorated

API changed since 0.3.3:

      * PgmPluginDesc::version field
      * PGM_PLUGIN_DEFINE::version parameter


This is Pigment 0.3.3, "Gryffindor" (January 16, 2008)
======================================================

Changes since 0.3.2:

      * Improved OpenGL plugin rendering performance
      * Added a GTK+ widget embedding viewport
      * Added automatic viewport update support
      * Highly improved linear algebra support
      * Added image loading from filenames instead of file descriptors
      * Added image mapping (texturing) matrix support
      * Added image border support
      * Added MSVC6 project files
      * Added Win32/WGL support to the OpenGL plugin
      * Split the Python binding from the core library
      * Added manual and interactive tests to check rendering correctness
      * Increased unit tests code coverage
      * Improved plugin loading/unloading

Tickets fixed since 0.3.2:

      * #106 : Warnings at gtk-doc build
      * #123 : PgmImageSink doc should display GObject properties
      * #124 : ViewportFactory should be a Singleton
      * #132 : GStreamer logging
      * #139 : Win32 support
      * #141 : Font height is not respected
      * #160 : Build failing on rawhide and gutsy
      * #162 : Crash when deleting a master too fast
      * #163 : pigment crashes when I use as master an Image not in the canvas
      * #168 : Plugins are never properly unloaded
      * #173 : Add visual (and manual) user test suite
      * #179 : GTK+ widget
      * #180 : Support for coverage report
      * #181 : Updated test framework
      * #182 : Load an image from a filename
      * #184 : Viewport from and to canvas functions are erroneous
      * #185 : New tests and a few bugfixes
      * #187 : test makefile reorganisation
      * #188 : tests makefile reorganisation
      * #189 : core/plugin tests spearation
      * #190 : Scroll events on drawables
      * #191 : "button-release-event" not fired when mouse moves outside the v...
      * #195 : libpigment-gtk not in the documentation
      * #197 : FDs not freed after async file image loading is finished
      * #198 : Automatic viewport update
      * #199 : pgm.Image.set_from_file does not accept files smaller than 1024...
      * #200 : Occasional segfault when disposing a gl viewport
      * #203 : Convert linear algebra functions to boxed types
      * #205 : Texturing matrix manipulation API
      * #207 : Build failed: "array subscript is not an integer"
      * #209 : Image borders support
      * #211 : Python binding split
      * #213 : Pigment's python binding tends to segfault on x86_64

API added since 0.3.2:

      * PgmLinearAlgebra objects
      * PgmViewportCapacity::PGM_VIEWPORT_APPLICATION_EMBEDDING
      * PgmViewport::pixels-read signal
      * pgm_viewport_get_embedding_id()
      * pgm_viewport_read_pixels()
      * pgm_viewport_push_pixels()
      * PgmGtk object
      * pgm_gtk_new()
      * pgm_gtk_set_viewport()
      * pgm_gtk_get_viewport()
      * PgmDrawableProperty::PGM_IMAGE_DATA_PIXBUF
      * PgmDrawable::scrolled signal
      * pgm_drawable_regenerate()
      * PgmImage::pixbuf-loaded signal
      * PgmImageStorageType::PGM_IMAGE_DATA_PIXBUF
      * pgm_image_new_from_file()
      * pgm_image_set_from_file()
      * pgm_image_set_mapping_matrix()
      * pgm_image_get_mapping_matrix()
      * pgm_image_set_border_width()
      * pgm_image_get_border_width()
      * pgm_image_set_border_inner_color()
      * pgm_image_get_border_inner_color()
      * pgm_image_set_border_outer_color()
      * pgm_image_get_border_outer_color()
      * pgm_image_sink_new()
      * pgm_image_sink_set_image()
      * pgm_image_sink_get_image()
      * PgmCanvas::near_layer field
      * PgmCanvas::middle_layer field
      * PgmCanvas::far_layer field

API changed since 0.3.2:

      * pgm_viewport_update()
      * PgmLinearAlgebra functions
      * Removed PgmImageStorageType::PGM_IMAGE_DATA_FD
      * Removed PgmImage::fd-loaded signal
      * Removed pgm_image_new_from_fd()
      * Removed pgm_image_set_from_fd()
      * Removed pgm_image_alloc_gst_buffer()
      * Removed PgmDrawableProperty::PGM_IMAGE_DATA_FD
      * PgmCanvas::near field
      * PgmCanvas::middle field
      * PgmCanvas::far field


This is Pigment 0.3.2, "Golondrinas" (October 4, 2007)
======================================================

Changes since 0.3.1:

      * Highly improved performance
      * Added mouse picking support
      * Added many unit tests for memory and refcount checking
      * Generalized the 4x4 projection matrix for the plugins
      * Integrated a bunch of linear algebra functions
      * Added asynchronous image loading with pgm_image_set_from_fd()

Tickets fixed since 0.3.1:

      * #150 : Disables doc install with doc build
      * #164 : leak fixing in pure python part (animation/group/widgets) + te...
      * #154 : crash on intel graphic card after a 12 or 13 hours
      * #165 : small memory leak in event handling
      * #38  : Enable flag for the compilation of C examples
      * #140 : Crashes on window's resize
      * #129 : Key modifiers support
      * #158 : overlay text over video lets pigment freeze
      * #153 : Performance degrades when a video is playing
      * #148 : Mouse support
      * #115 : Can't display a certain JPG file
      * #152 : Viewport should report if hardware acceleration is activated o...
      * #147 : rawhide buildslave fails make check

API added since 0.3.1:

      * PgmLinearAlgebra module
      * PgmViewportCapacity::HARDWARE_ACCELERATION
      * pgm_viewport_update_projection()
      * pgm_viewport_from_canvas()
      * pgm_viewport_to_canvas()
      * pgm_image_get_storage_type_type()
      * PgmDrawable::pressed signal
      * PgmDrawable::released signal
      * PgmDrawable::clicked signal
      * PgmDrawable::double-clicked signal
      * PgmDrawable::drag-begin signal
      * PgmDrawable::drag-motion signal
      * PgmDrawable::drag-end signal
      * PgmEventKey::modifier field
      * PgmImage::fd-loaded signal
      * PgmModifierType

API changed since 0.3.1:

      * Changed PgmButtonType constants
      * Removed PGM_VIEWPORT_CANVAS() macro
